body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

::-webkit-scrollbar {
    width: 19px;
    background: var(--main-color);
}

::-webkit-scrollbar-thumb {
    background: var(--text-color);
}

html {
    scroll-behavior: smooth;
}

.img-filter {
    filter: grayscale(100%);
    transition: .4s;
}

.img-filter:hover {
    filter: grayscale(0%);
    transform: scale(1.1) rotate(2deg);
}

:root {
    --section-padding: 80px;
    --main-color: rgb(254, 142, 56);
    --text-color: #6c6b5b;
    --section-bg-color: #f5f5f5;
}

.heading>h1 {
    font-size: 35px;
    margin: 0 auto 100px;
    width: fit-content;
    text-transform: uppercase;
    position: relative;
}

.heading>h1::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: 2px;
    background: rgb(254, 142, 56);
}

/* Small */
@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}

/* Medium */
@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

/* Large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

header {
    height: 100px;
    background-image: linear-gradient(to left, rgb(255, 190, 10), rgb(254, 142, 56));
}

header .container {
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: space-between;
}

.logo a {
    text-transform: uppercase;
    text-decoration: none;
    font-size: 50px;
    transition-duration: .3s;
    color: #fff;
}

.logo a:hover {
    color: #8e44ad;
    margin-left: 10px;
}

header .container ul {
    display: flex;
    align-items: center;
    gap: 20px;
    list-style: none;
}

header .container ul li a {
    text-transform: uppercase;
    background-color: transparent;
    font-size: 21px;
    color: #140401;
    text-decoration: none;
    transition-duration: .4s;
    cursor: pointer;
    height: fit-content;
}

header .container ul .active a {
    color: #fff;
}

header .container ul li a:hover {
    color: #fff;
}

.Home {
    background-image: linear-gradient(to left, rgb(255, 190, 10), rgb(254, 142, 56));
}

.Home .container {
    display: flex;
    justify-content: space-between;
    min-height: calc(100vh - 100px);
    display: flex;
    align-items: center;
}


.para p span {
    font-size: 50px;
    text-transform: capitalize;
    font-family: monospace;
    color: #140401;
    display: block;
    font-weight: bold;
}

.para p {
    font-size: 25px;
    text-transform: capitalize;
    max-width: 590px;
    line-height: 1.7;
    color: #23242a;
}

.para a {
    background-color: #fff;
    padding: 15px 50px;
    text-transform: capitalize;
    border-radius: 15px;
    border: none;
    text-decoration: none;
    transition-duration: .4s;
    box-shadow: 0 0 8px 1px black;
    font-size: 23px;
    color: #140401;
    display: block;
    cursor: pointer;
    width: fit-content;
    margin-top: 37px;
    margin-left: 8px;
}

.para a:hover .fa-arrow-right {
    animation-play-state: running;
}

.para a:hover {
    background-color: #8e44ad;
    color: #fff;
    margin-left: 15px;
}

.box-parent {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    margin-top: 20px;
}

.box-parent .boxs {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 30px 0;
    font-size: 25px;
    text-transform: capitalize;
    gap: 6px;
}

.box-parent .boxs .num {
    color: #ffffff;
    font-weight: bolder;
}

.box-parent .boxs:nth-child(2)::before {
    content: '';
    position: absolute;
    left: 0;
    background: black;
    width: 2px;
    top: 0;
    height: 100%;
}

.box-parent .boxs:nth-child(2)::after {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    background: black;
    width: 2px;
    height: 100%;
}

.photo {
    max-width: 420px;
    height: 420px;
    box-shadow: 0 0 6px .5px black;
    border-radius: 20px;
    animation: h-Image 1.9s linear infinite alternate;
}

@keyframes h-Image {
    100% {
        transform: translateY(45px);
    }

}

.Home .container .image {
    width: 100%;
    height: 100%;
    border-radius: 20px;
}

.fa-arrow-right {
    margin-right: 9px;
    animation: right-get 1.8s infinite;
    animation-play-state: paused;
}

@keyframes right-get {

    0%,
    10%,
    20%,
    50%,
    80%,
    100% {
        transform: translateX(0);
    }

    40%,
    60% {
        transform: translateX(-13px);
    }
}

@media (max-width: 375px) {
    .fa-arrow-right {
        animation-play-state: running;
    }
}

/* Start about */
.about {
    padding-top: var(--section-padding);
    padding-bottom: 130px;
}

.about .container {
    display: flex;
    justify-content: space-between;
}

.about .container .left-img {
    position: relative;
}

.about .container .left-img::before {
    content: '';
    position: absolute;
    left: -20px;
    top: -50px;
    width: 55px;
    border-left: solid 50px rgb(254, 142, 56);
    border-top: solid 25px rgb(254, 142, 56);
    border-bottom: solid 25px rgb(254, 142, 56);
    height: calc(100% + 50px);
    background: white;
    z-index: -1;
}

.about .container .left-img img {
    max-width: 380px;
}

.about .container .content p {
    max-width: 495px;
    font-size: 18px;
    line-height: 1.7;
    color: var(--text-color);
}

.about .container .content .links {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    gap: 17px;
}

.about .container .content .links i {
    font-size: 23px;
    cursor: pointer;
    color: var(--main-color);
    transition: .3s;
}

.about .container .content .links i:hover {
    color: rgb(255, 190, 10);
}

/* end about */
/* start services */
.services {
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background: var(--section-bg-color);
}

.services .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.services .container .left-img img {
    max-width: 450px;
    border-radius: 9px;
    filter: grayscale(100%);
    transition: .4s;
}

.services .container .left-img img:hover {
    filter: grayscale(0%);
}

.services .container .right-col {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.services .container .right-col .col {
    max-width: 350px;
    text-align: center;
    background: white;
    padding: 25px;
    min-height: 145px;
    border-radius: 9.5px;
    box-shadow: 0 0 12px -3px black;
    border: solid 2.3px black;
}

.services .container .right-col .col i {
    color: var(--main-color);
    font-size: 20px;
}

.services .container .right-col .col .header {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

.services .container .right-col .col .header h2 {
    text-transform: uppercase;
    font-size: 18px;
    font-weight: bold;
}

.services .container .right-col .col p {
    line-height: 1.6;
    color: var(--text-color);
}

/* end services */
/* start book project */
.book {
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
}

.book .container {
    display: flex;
    justify-content: center;
}

.book form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.book .container form input::placeholder {
    font-size: 15px;
}

.book .container form input {
    width: 547px;
    border: solid 2px var(--text-color);
    border-radius: 7px;
    padding: 15px;
    font-size: 16.5px;
    transition: .3s;
    color: var(--main-color);
}

.book .container form input:focus {
    outline: none;
    border: solid 2px var(--main-color);
}

.book form input {
    height: 45px;
}

.book form .idea {
    height: 120px !important;
}

.book form .buttons {
    display: flex;
    justify-content: center;
    margin-top: 15px;
    gap: 25px;
}

.book form .buttons a {
    color: #000;
    transition: .3s;
    cursor: pointer;
    background: var(--main-color);
    border: none;
    text-decoration: none;
    text-align: center;
    font-size: 18px;
    padding: 10px 15px;
    width: 216px;
    border-radius: 10px;
    text-transform: uppercase;
}

.book form .buttons a:hover {
    color: #ffffff;
}

/* end book project */
/* start projects */
.projects {
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background: var(--section-bg-color);
}

.projects .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}

.projects .container .box {
    background: white;
    text-align: center;
    padding-bottom: 15px;
    border-radius: 9px;
    border: solid 2.3px black;
    box-shadow: 0 0 12px -3px black;
    overflow: hidden;
}

.projects .container .box .image {
    max-width: 100%;
    border-top-left-radius: 9px;
    border-top-right-radius: 9px;
    overflow: hidden;
}

.projects .container .box .image img {
    height: 246.46px;
    max-width: 100%;
    border-top-left-radius: 9px;
    border-top-right-radius: 9px;
}

.projects .container .box h3 {
    text-transform: uppercase;
    color: #000000;
    margin-top: 10px;
}

.projects .container .box span {
    color: var(--text-color);
    text-transform: capitalize;
    font-size: 15px;
    margin: 5px 0 10px;
    display: block;
}

.projects .container .box .rate {
    color: var(--main-color);
}

/* end projects */
/* start testimonials */
.tes {
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
}

.tes .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}

.tes .container .box {
    padding: 15px;
    box-shadow: 0 0 12px -3px black;
    border-radius: 9px;
    padding-bottom: 20px;
}

.tes .container .box h1 {
    color: var(--text-color);
    display: flex;
    justify-content: flex-end;
    height: 35px;
}

.tes .container .box p {
    text-transform: capitalize;
    margin: 10px auto 45px;
    text-align: center;
    color: var(--text-color);
    line-height: 1.7;
    height: 136px;
}

.tes .container .box .info {
    display: flex;
    align-items: center;
    padding-left: 15px;
    gap: 15px;
}

.tes .container .box .info img {
    max-width: 55px;
    height: 55px;
    border-radius: 50%;
    border: solid 2px var(--main-color);
}

.tes .container .box .info h3 {
    text-transform: capitalize;
}

/* end testimonials */
/* start contact */
.contact {
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background-image: url(../images/contact.gif);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.contact>h1 {
    color: #ffffff;
}

.contact::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0, 50%);
}

.contact .container {
    display: flex;
    justify-content: center;
    position: relative;
    z-index: 99;
}

.contact .container form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contact .container form input::placeholder {
    color: #ffffff;
    font-size: 15px;
}

.contact .container form input:focus {
    outline: none;
}

.contact .container form input {
    width: 547px;
    border: solid 2px #ffffff;
    border-radius: 7px;
    padding: 15px;
    color: #ffffff;
    font-size: 16.5px;
    transition: .3s;
    background-color: transparent;
    height: 45px;
}

.contact .container form .tell {
    height: 100px;
}

.contact .container form button {
    margin: 25px auto 0;
    color: #000;
    transition: .3s;
    cursor: pointer;
    background: rgb(254, 142, 56, 80%);
    border: none;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 0;
    width: 216px;
    border-radius: 10px;
    text-transform: uppercase;
}

.contact .container form button:hover {
    color: #ffffff;
}

/* end contact */
/* start footer */
.footer {
    padding-top: var(--section-padding);
    padding-bottom: 30px;
    background: var(--main-color);
}

.footer .container {
    display: flex;
    justify-content: space-between;
    color: #ffffff;
    align-items: center;
    position: relative;
}

.footer .container .left-con h2 {
    text-transform: uppercase;
    color: #ffffff;
    font-size: 30px;
}

.footer .container .left-con .links {
    display: flex;
    gap: 20px;
    margin-top: 15px;
}

.footer .container .left-con .links a {
    display: block;
}

.footer .container .left-con .links a i {
    font-size: 20px;
    color: #ffffff;
    transition: .4s;
}

.footer .container .left-con .links a:first-child i:hover {
    color: #4267B2;
}

.footer .container .left-con .links a:nth-child(2) i:hover {
    color: #E4405F;
}

.footer .container .left-con .links a:last-child i:hover {
    color: #1DA1F2;
}
.footer .container .center {
    position: absolute;
    left: 50%;
    translate: -50% 0;
}
.footer .container .center .top {
    margin-bottom: 10px;
}

.footer .container .right-imgs {
    display: flex;
    max-width: 225px;
    gap: 15px;
    flex-wrap: wrap;
}

.footer .container .right-imgs img {
    max-width: 60px;
    height: 60px;
    outline: solid 4px #ffffff;
}

.footer>h3 {
    margin: 0 auto;
    color: #ffffff;
    width: fit-content;
    text-align: center;
    line-height: 1.4;
    margin-top: 50px;
}

/* end footer */
@media (min-width: 767px) and (max-width: 991px) {
    .photo {
        display: none;
    }

    .box-parent {
        grid-template-columns: repeat(auto-fill, minmax(33%, 1fr));
    }

    .para {
        width: 100%;
    }
}

@media (max-width: 767px) {
    .box-parent .boxs:nth-child(2)::before {
        left: 0;
        width: 100%;
        top: 0;
        height: 1.5px;
    }

    .Home .container {
        padding-top: 50px;
    }

    .box-parent .boxs:nth-child(2)::after {
        left: 0;
        width: 100%;
        bottom: 0;
        height: 1.5px;
        top: auto;
    }

    .photo {
        display: none;
    }

    .para {
        width: 100%;
    }

    .box-parent {
        flex-direction: column;
        align-items: center;
        margin-top: 40px;
    }

    .box-parent {
        grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
    }

    .paragraph {
        width: 100%;
    }

    .container {
        height: calc(100% - 200px);
    }

    .boxs-before-line {
        text-align: center;
    }

    .boxs-before-line::before {
        display: none;
    }
}

@media (max-width: 400px) {
    .para p span {
        font-size: 37px;
    }

    .para p {
        font-size: 22px;
    }
}

@media (min-width: 991px) {
    header .container i {
        display: none;
    }
}

@media (max-width: 991px) {
    .about .container {
        flex-direction: column;
        gap: 30px;
        align-items: center;
        text-align: center;
    }

    .services .container .right-col .col {
        max-width: 100%;
    }

    .about .container .content p {
        max-width: 100%;
    }

    .about .container .left-img::before {
        display: none;
    }

    .services .container {
        flex-direction: column;
        gap: 25px;
    }

    header .container i {
        font-size: 30px;
        cursor: pointer;
    }

    .nav {
        position: absolute;
        top: 100px;
        background-color: #f1f5f8e0;
        width: 100%;
        left: 0;
        z-index: 99;
        transform: translateX(-100%);
        transition: .4s;
    }

    .show {
        transform: translateX(0) !important;
    }

    .nav ul {
        flex-direction: column;
        padding: 100px 0;
        gap: 40px !important;
    }

    .nav ul .active a {
        color: rgb(254, 142, 56) !important;
    }

    .nav ul li a:hover {
        color: rgb(254, 142, 56) !important;
    }
}

@media (max-width: 490px) {
    .services .container .left-img img {
        max-width: 100%;
    }
}

@media (max-width: 415px) {
    .about .container .left-img img {
        max-width: 100%;
    }
}

@media (max-width: 591px) {
    .heading>h1 {
        text-align: center;
    }
}

@media (max-width: 567px) {
    .book .container form {
        width: 100%;
    }

    .book .container form input {
        width: 100%;
    }

    .contact .container form {
        width: 100%;
    }

    .contact .container form input {
        width: 100%;
    }
}

@media (max-width: 486px) {
    .book form .buttons {
        flex-direction: column;
        gap: 20px;
    }

    .book form .buttons a {
        width: 100%;
    }
}

@media (max-width: 670px) {
    .projects .container .box {
        width: 100%;
        margin: 0 auto;
    }

    .projects .container .box img {
        width: 100%;
    }

    .heading>h1::before {
        width: 50%;
        transform: translateX(50%);
    }
}

@media (max-width: 565px) {
    .footer .container {
        flex-direction: column;
        gap: 55px;
    }
}
